from pydantic import BaseModel
from datetime import datetime


class WalletBase(BaseModel):
    currency: str


class WalletCreate(WalletBase):
    pass


class WalletResponse(WalletBase):
    id: int
    address: str
    balance: float
    is_active: bool
    created_at: datetime
    
    class Config:
        from_attributes = True


class FiatAccountBase(BaseModel):
    currency: str


class FiatAccountCreate(FiatAccountBase):
    pass


class FiatAccountResponse(FiatAccountBase):
    id: int
    balance: float
    is_active: bool
    created_at: datetime
    
    class Config:
        from_attributes = True